petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateMPIMatConcatenateSeqMat

Creates a single large PETSc matrix by concatenating sequential matrices from each processor

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCreateMPIMatConcatenateSeqMat(MPI_Comm comm,Mat seqmat,PetscInt n,MatReuse reuse,Mat *mpimat)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the communicators the parallel matrix will live on Many br
| seqmat | - the input sequential matrices Many br
| n | - number of local columns (or PETSC_DECIDE) Many br
| reuse | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX Many br

### Output Parameter

mpimat -the parallel matrix generated Many br

Many br

Notes: The number of columns of the matrix in EACH processor MUST be the same. Many br

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages